Last Comment Bug 655240 - Intermittent failure in content/html/document/test/test_bug448564.html | Test timed out.
: Intermittent failure in content/html/document/test/test_bug448564.html | Test...
Status: RESOLVED FIXED
: intermittent-failure
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla7
Assigned To: Mounir Lamouri (:mounir)
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-05-06 06:04 PDT by Mounir Lamouri (:mounir)
Modified: 2012-11-25 19:31 PST (History)
1 user (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1 (145 bytes, patch)
2011-06-20 04:16 PDT, Mounir Lamouri (:mounir)
no flags Details | Diff | Splinter Review
Patch v1 (3.10 KB, patch)
2011-06-20 04:17 PDT, Mounir Lamouri (:mounir)
jonas: review+
ehsan: feedback+
Details | Diff | Splinter Review

Description Mounir Lamouri (:mounir) 2011-05-06 06:04:23 PDT
s: talos-r3-fed64-046
62119 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.

http://tinderbox.mozilla.org/showlog.cgi?log=Cedar/1304678289.1304679496.12575.gz
Comment 1 Treeherder Robot 2011-05-06 17:29:38 PDT
bz%mit.edu
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1304725088.1304726489.19386.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitests-1/5 on 2011/05/06 16:38:08

s: talos-r3-fed64-013
62137 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 2 Treeherder Robot 2011-05-13 17:07:54 PDT
mbrubeck%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1305329659.1305330892.19350.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitests-1/5 on 2011/05/13 16:34:19

s: talos-r3-fed64-004
62691 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 3 Treeherder Robot 2011-05-13 17:08:12 PDT
bill%wg9s.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1305329659.1305330892.19350.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitests-1/5 on 2011/05/13 16:34:19

s: talos-r3-fed64-004
62691 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 4 Treeherder Robot 2011-05-13 17:08:13 PDT
mbrubeck%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1305329659.1305330892.19350.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitests-1/5 on 2011/05/13 16:34:19

s: talos-r3-fed64-004
62691 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 5 Treeherder Robot 2011-05-17 17:33:33 PDT
ehsan%mozilla.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1305676929.1305678196.21752.gz
Rev3 Fedora 12 mozilla-central opt test mochitests-1/5 on 2011/05/17 17:02:09

s: talos-r3-fed-038
62614 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 6 Treeherder Robot 2011-05-19 05:52:57 PDT
hsivonen%iki.fi
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1305802535.1305803651.4730.gz
Rev3 Fedora 12 mozilla-central opt test mochitests-1/5 on 2011/05/19 03:55:35

s: talos-r3-fed-009
62603 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 7 Treeherder Robot 2011-05-22 21:38:34 PDT
njn
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1306122413.1306124313.20927.gz
Rev3 Fedora 12 mozilla-central opt test mochitests-1/5 on 2011/05/22 20:46:53

s: talos-r3-fed-014
64533 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 8 Treeherder Robot 2011-05-23 01:55:01 PDT
cdleary
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1306138883.1306140366.19740.gz
Rev3 Fedora 12 mozilla-central opt test mochitests-1/5 on 2011/05/23 01:21:23

s: talos-r3-fed-004
64528 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 9 Treeherder Robot 2011-05-24 17:02:30 PDT
sphink%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1306279363.1306280585.30670.gz
Rev3 Fedora 12 tracemonkey opt test mochitests-1/5 on 2011/05/24 16:22:43

s: talos-r3-fed-034
64548 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 10 Treeherder Robot 2011-05-26 16:06:00 PDT
bill%wg9s.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1306449656.1306450773.23121.gz
Rev3 Fedora 12x64 mozilla-central opt test mochitests-1/5 on 2011/05/26 15:40:56

s: talos-r3-fed64-004
64686 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 11 Treeherder Robot 2011-06-17 06:17:23 PDT
jwatt
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Aurora/1308314098.1308315309.31775.gz
Rev3 Fedora 12 mozilla-aurora opt test mochitests-1/5 on 2011/06/17 05:34:58

s: talos-r3-fed-014
64612 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.
Comment 12 Mounir Lamouri (:mounir) 2011-06-20 04:16:54 PDT
Created attachment 540425 [details] [diff] [review]
Patch v1
Comment 13 Mounir Lamouri (:mounir) 2011-06-20 04:17:57 PDT
Created attachment 540427 [details] [diff] [review]
Patch v1
Comment 14 :Ehsan Akhgari 2011-06-20 11:28:41 PDT
Comment on attachment 540427 [details] [diff] [review]
Patch v1

I'm not really sure how this patch is going to fix the orange.  Also, Doesn't this potentially change the semantics of the test?
Comment 15 Mounir Lamouri (:mounir) 2011-06-20 11:38:32 PDT
(In reply to comment #14)
> I'm not really sure how this patch is going to fix the orange.

I'm not sure either but I think it makes the test much saner and simple to understand. It might fix the orange in the way. Otherwise, it will be easier to track the issue.

> Also, Doesn't this potentially change the semantics of the test?

I don't think so. The idea of this test is to submit the three forms and make sure everything is okay. I'm still using the SJS and the same HTML code in the frames. The only difference is I'm checking the frames when all of them are done, not each one individually. I don't think that change can change the semantic of the test.
Comment 16 Jonas Sicking (:sicking) No longer reading bugmail consistently 2011-06-22 18:03:46 PDT
Comment on attachment 540427 [details] [diff] [review]
Patch v1

Review of attachment 540427 [details] [diff] [review]:
-----------------------------------------------------------------

r=me
Comment 17 Mounir Lamouri (:mounir) 2011-06-23 03:09:35 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/e00de9b8df15

Marking it as fixed and will reopen if a failure happens again.
Comment 18 Treeherder Robot 2011-08-03 21:01:34 PDT
philor
http://tinderbox.mozilla.org/showlog.cgi?log=Mozilla-Beta/1312421106.1312423379.17783.gz
Rev3 Fedora 12x64 mozilla-beta opt test mochitests-1/5 on 2011/08/03 18:25:06

s: talos-r3-fed64-030
64647 ERROR TEST-UNEXPECTED-FAIL | /tests/content/html/document/test/test_bug448564.html | Test timed out.

Note You need to log in before you can comment on or make changes to this bug.